# Generated by Django 2.2 on 2019-06-16 16:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('frontend', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='project',
            name='name',
            field=models.CharField(max_length=40),
        ),
        migrations.CreateModel(
            name='EnvironmentValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('environmentType', models.CharField(choices=[('domain', 'Domain'), ('variable', 'Variable')], default='variable', max_length=10)),
                ('variable', models.CharField(max_length=40)),
                ('value', models.CharField(max_length=40)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='environments', to='frontend.Project')),
            ],
        ),
    ]
